Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040758
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2019-05-02 18:562019-05-24 10:31
ReportermalsasuaView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionec509bcc31cc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040758: In discount & promotions, with Combo discount type, the organization can not be modified

DescriptionIn discount & promotions window, when one record of type Combo has got selected a image, the organization can not be modified
Steps To Reproducein livebuilds - modules environment:
. go to Discount & Promotions
. create new record:
 - organization: Central Mountain Store
 - type: Combo
 - select one image
>Save record
 - modify the organization to: Posets Store
>Save record
Error
Saving failed. With your current role this action is not allowed.

org.openbravo.base.exception.OBSecurityException: Entity Combo Test (PricingAdjustment) with organization Central Mountain Store references an entity Image through its property obdiscImage but this referenced entity belongs to an organization Central Mountain Store which is not part of the natural tree of Possets Store


(see attachment)
TagsNo tags attached.
Attached Filespng file icon error.png [^] (141,819 bytes) 2019-05-02 18:56

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0040911 newplatform Limitations in RemoveImagesEventHandler 
related to defect 0040927 closedalostale ModelProvider does not flag all entities with images 

-  Notes
(0111783)
hgbot (developer)
2019-05-20 09:42

Repository: erp/devel/pi
Changeset: ec509bcc31ccb7ba5d047728a67390ef4fbf405a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 20 09:20:09 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ec509bcc31ccb7ba5d047728a67390ef4fbf405a [^]

fixes bug 40758: Skip cross org check for image properties

  The OBInterceptor has a mechanism (cross org check) that verifies whether the organization of the main entity is in the same natural tree that the organization of the entities referenced by the properties of the main entity. This check is performed every time an entity is update/saved through DAL and it is done before the execution of any event observer.

  In the case of this issue, this mechanism was not allowing to save the record because when changing the organization of an entity, if this entity had a property referencing to an AD_Image, the organization of the AD_Image was not being updated accordingly, which could cause the cross org check fail.

  To fix this, we are now skipping the cross org check in the OBInterceptor for those properties referencing to an AD_Image record and with the RemoveImagesEventHandler observer, if the org in the main entity is changed, we put exactly the same org in every AD_Image referenced by that entity.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/RemoveImagesEventHandler.java
M src/org/openbravo/base/model/Property.java
M src/org/openbravo/dal/core/OBInterceptor.java
---
(0111786)
hgbot (developer)
2019-05-20 11:08

Repository: erp/devel/pi
Changeset: 40eca50c2edcfc9dfa960fbb594966b1d75428a1
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 20 11:08:30 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/40eca50c2edcfc9dfa960fbb594966b1d75428a1 [^]

related to issue 40758: add test cases

---
M src-test/src/org/openbravo/test/AllAntTaskTests.java
A src-test/src/org/openbravo/test/dal/ImageTest.java
---
(0112045)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0112046)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0112113)
alostale (developer)
2019-05-24 10:31

reviewed + tested

- Issue History
Date Modified Username Field Change
2019-05-02 18:56 malsasua New Issue
2019-05-02 18:56 malsasua Assigned To => Retail
2019-05-02 18:56 malsasua File Added: error.png
2019-05-02 18:56 malsasua Triggers an Emergency Pack => No
2019-05-06 22:17 rqueralta Assigned To Retail => rqueralta
2019-05-06 22:19 rqueralta Status new => scheduled
2019-05-13 08:58 alostale Assigned To rqueralta => platform
2019-05-13 08:58 alostale Status scheduled => feedback
2019-05-13 08:58 alostale Status feedback => new
2019-05-13 12:49 caristu Assigned To platform => caristu
2019-05-13 13:06 alostale Project Retail Modules => Openbravo ERP
2019-05-13 13:07 alostale Modules => Core
2019-05-13 13:07 alostale Category Discounts and Promotions => A. Platform
2019-05-20 09:42 hgbot Checkin
2019-05-20 09:42 hgbot Note Added: 0111783
2019-05-20 09:42 hgbot Status new => resolved
2019-05-20 09:42 hgbot Resolution open => fixed
2019-05-20 09:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ec509bcc31ccb7ba5d047728a67390ef4fbf405a [^]
2019-05-20 11:08 hgbot Checkin
2019-05-20 11:08 hgbot Note Added: 0111786
2019-05-20 11:52 caristu Relationship added related to 0040911
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112045
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112046
2019-05-21 16:03 alostale Relationship added related to 0040927
2019-05-24 10:31 alostale Review Assigned To => alostale
2019-05-24 10:31 alostale Note Added: 0112113
2019-05-24 10:31 alostale Status resolved => closed
2019-05-24 10:31 alostale Fixed in Version => 3.0PR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker